AsymmetricBlockCipherTest (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.pqc.jcajce.provider.test

## Class AsymmetricBlockCipherTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.bouncycastle.pqc.jcajce.provider.test.FlexiTest
      - - org.bouncycastle.pqc.jcajce.provider.test.AsymmetricBlockCipherTest

- All Implemented Interfaces:
    junit.framework.Test
  Direct Known Subclasses:
    McEliecePKCSCipherTest

      public abstract class AsymmetricBlockCipherTest
      extends FlexiTest

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected javax.crypto.Cipher` | `cipher`
    `protected java.security.KeyPair` | `keyPair`
    `protected java.security.KeyPairGenerator` | `kpg`
    `protected java.security.PrivateKey` | `privKey`
    `protected java.security.PublicKey` | `pubKey`

    - ### Fields inherited from class org.bouncycastle.pqc.jcajce.provider.test.FlexiTest

      `rand, sr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AsymmetricBlockCipherTest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `performEnDecryptionTest(int numPassesKPG, int numPassesEncDec, java.security.spec.AlgorithmParameterSpec params)`

    - ### Methods inherited from class org.bouncycastle.pqc.jcajce.provider.test.FlexiTest

      `assertEquals, assertEquals, assertEquals, assertEquals, fail, setUp`

    - ### Methods inherited from class junit.framework.TestCase

      `countTestCases, createResult, getName, run, run, runBare, runTest, setName, tearDown, toString`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### cipher

          protected javax.crypto.Cipher cipher

    - #### keyPair

          protected java.security.KeyPair keyPair

    - #### pubKey

          protected java.security.PublicKey pubKey

    - #### privKey

          protected java.security.PrivateKey privKey

    - #### kpg

          protected java.security.KeyPairGenerator kpg

  - ### Constructor Detail

    - #### AsymmetricBlockCipherTest

          public AsymmetricBlockCipherTest()

  - ### Method Detail

    - #### performEnDecryptionTest

          protected final void performEnDecryptionTest(int numPassesKPG,
                                     int numPassesEncDec,
                                     java.security.spec.AlgorithmParameterSpec params)